Last Comment Bug 684591 - interface '%s' not derived from nsISupports
: interface '%s' not derived from nsISupports
Status: RESOLVED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla9
Assigned To: Josh Matthews [:jdm]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-04 09:03 PDT by Josh Matthews [:jdm]
Modified: 2011-09-15 19:18 PDT (History)
3 users (show)
emorley: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix uninformative xpidl.py warning message to print relevant interface name. (291 bytes, patch)
2011-09-04 09:05 PDT, Josh Matthews [:jdm]
no flags Details | Diff | Splinter Review
Fix uninformative xpidl.py warning message to print relevant interface name. (1.51 KB, patch)
2011-09-04 09:07 PDT, Josh Matthews [:jdm]
khuey: review+
Details | Diff | Splinter Review

Description Josh Matthews [:jdm] 2011-09-04 09:03:07 PDT
xpidl.py should substitute something for the %s in that warning.
Comment 1 Ed Morley [:emorley] 2011-09-04 09:04:41 PDT
Ah thank you, this was on my list to file :-)
Comment 2 Josh Matthews [:jdm] 2011-09-04 09:05:13 PDT
Created attachment 558156 [details] [diff] [review]
Fix uninformative xpidl.py warning message to print relevant interface name.
Comment 3 Josh Matthews [:jdm] 2011-09-04 09:07:57 PDT
Created attachment 558157 [details] [diff] [review]
Fix uninformative xpidl.py warning message to print relevant interface name.
Comment 4 Ed Morley [:emorley] 2011-09-06 16:00:26 PDT
http://hg.mozilla.org/projects/build-system/rev/3d69b5735f41
Comment 5 Ed Morley [:emorley] 2011-09-06 16:01:38 PDT
Meant to add I tested on mozilla-central tip and it worked nicely :-)
^
warning: interface 'nsICache' not derived from nsISupports, ../../../mozilla-central/netwerk/cache\nsICache.idl line 53:0
interface nsICache
^

(not that there was any reason it shouldn't have, but still!)
Comment 6 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-09-15 19:18:50 PDT
https://hg.mozilla.org/mozilla-central/rev/3d69b5735f41

Note You need to log in before you can comment on or make changes to this bug.